---
name: User Interface
about: Template for UI related issues (including e.g. screenshots)

---

## This is a...
<!-- Check ONLY one of the following options with "x" -->
<pre><code>
[ ] Feature request
[ ] Regression (a behavior that used to work and stopped working in a new release)
[ ] Bug report  <!-- Please search GitHub for a similar issue or PR before submitting -->
[ ] Documentation issue or request
</code></pre>
<!-- If possible, please choose the appropriate labels for your issue. You find a description of all
labels used at https://doc.syndesis.io/#dev-labels -->

## The problem
<!--
Briefly describe the issue you are experiencing (or the feature you want to see implemented on Syndesis).
+ For BUGS, tell us what you were trying to do and what happened instead.
+ For NEW FEATURES, describe the _User Persona_ demanding it and its use case.
-->

## Expected behavior
<!-- Describe what the desired behavior would be, enlisting the acceptance criteria. -->

## Screenshot
<!--
For features/bugs tackling with UI functionality, drag and drop a screenshot depicting the desired presentation layer or supporting the UX narrative for the new functionality.
-->

## Request and Response Data
<!--
Many issues involve both the UI and its backend, if possible capture relevant request and response data JSON messages and include it here.
Request and response data can be gathered from your browser's developer tools on the 'Network' tab.
 + As you reproduce the issue, take note of any network requests that are made.
 + Requests that result in an error will be highlighted red.
 + Click on line in the network tab and then the 'Headers' tab to get the request data
 + Click on the 'Preview' or 'Response' tabs to get the response data.
 + Pretty print the json too -> http://jsonprettyprint.com/

BE CAREFUL NOT TO INCLUDE ANY USER TOKENS!!!!
Things like connection objects can contain sensitive data in their configuration, make sure to rip these out
-->

## API Endpoints and Schemas
<!--
For features or bugfixes entailing data exchanges between the UI and the REST API,
enlist the different endpoints available and the payload/response schemas.
-->

## Tasks involved / Steps to Reproduce
<!--
Enlist all the acceptance criteria for new features or the steps required to reproduce the bug/regression reported.
-->
1.
2.
3.
4.
